WisdomTree Bitcoin Fund

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/wisdomtree-bitcoin-fund/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin-fund/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1790640000000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  },
  {
    "date": 1790726400000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  },
  {
    "date": 1790812800000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin-fund/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    2054.749728689999
  ],
  [
    1790812800000,
    2054.749728689999
  ],
  [
    1790899200000,
    2054.3419428199986
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin-fund/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    171869130.1063292
  ],
  [
    1790812800000,
    171668504.3428199
  ],
  [
    1790899200000,
    174172923.6999777
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin-fund/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 88.27,
    "date": "2026-09-30",
    "high": 89.95,
    "open": 89.95,
    "close": 88.28,
    "volume": 4500
  },
  {
    "low": 88.175,
    "date": "2026-10-01",
    "high": 89.73,
    "open": 88.175,
    "close": 89.45,
    "volume": 2700
  },
  {
    "low": 88.88,
    "date": "2026-10-02",
    "high": 91.51,
    "open": 91.51,
    "close": 89.0,
    "volume": 2200
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin-fund/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": null,
  "quarterly_earnings_growth": null,
  "eps_estimate_current_quarter": null
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin-fund/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 8.95,
  "six_month_return": 25.49,
  "three_month_return": 32.38
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin-fund/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 0.002,
  "share_price_change_state": ""
}